<form [formGroup]="FormGroupBusqueda">
    <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
    <mat-drawer-container class="example-container" autosize>
        <mat-drawer id="drawer" #drawer position="end" mode="side">
            <div class="d-flex flex-column px-3">
                <form>
                    <label for="range-overlay-map">Opacidad</label>
                    <input id="range-overlay-map" type="range" min=0 max=1 step=0.1 value=1>
                  </form>
                <div class="d-flex justify-content-end">
                    <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                </div>

                <div class="d-flex justify-content-end">
                    <!--<button style="margin: 50px; padding: 10px" type="button" class="btn btn-primary" (click)="openPopup()">Cargar coordenadas

                    </button>-->
                    <button (click)="openPopup()" id="cargar_capa" class="d-none"></button>
                </div>


                <mat-accordion>
                    <mat-expansion-panel [expanded]="true" collapsedHeight="80px" expandedHeight="30px">
                        <mat-expansion-panel-header>
                            <mat-panel-title class="tree-iconFontPanel">

                                REESTRUCTURACIONES
                            </mat-panel-title>
                            <mat-panel-description>

                            </mat-panel-description>
                        </mat-expansion-panel-header>


                        <!--<mat-form-field>
                            <input matInput [(ngModel)]="model" placeholder="Search a person" />
                          </mat-form-field>-->

                        <ng-template #t let-item="item">
                            <mat-icon *ngIf="item.items" class="tree-icon">folder</mat-icon>
                            <!--<mat-icon *ngIf="!item.items" class="tree-icon" [ngStyle]="{ color: '#666' }">map</mat-icon>-->
                            {{ item.distrito }}
                        </ng-template>
                        <ax-ngx-tree class="tree-iconFont" [axData]="data" (axSelect)="select($event)" [axSearch]="search" [axSearchValue]="model" [axTitle]="'distritos'" [axId]="'id'" [axSelectable]="true" [axDragDrop]="true" [axCollectionItem]="'items'" (axSelection)="selected($event)"
                            [axTemplate]="t">
                        </ax-ngx-tree>
                    </mat-expansion-panel>

                    <mat-expansion-panel (opened)="secondPanelOpenState = true" (closed)="secondPanelOpenState = false">
                        <mat-expansion-panel-header>
                            <mat-panel-title class="tree-iconFontPanel">
                                Buscar por Distrito, Uv, Manzana
                            </mat-panel-title>
                            <mat-panel-description>

                            </mat-panel-description>
                        </mat-expansion-panel-header>

                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </mat-expansion-panel>


                    <mat-expansion-panel (opened)="secondPanelOpenState = true" (closed)="secondPanelOpenState = false">
                        <mat-expansion-panel-header>
                            <mat-panel-title class="tree-iconFontPanel">

                                Buscar por coordenadas
                            </mat-panel-title>
                            <mat-panel-description>
                                -
                            </mat-panel-description>
                        </mat-expansion-panel-header>


                        <!--<mat-form-field>
                            <input matInput [(ngModel)]="model" placeholder="Search a person" />
                          </mat-form-field>-->

                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </mat-expansion-panel>
                </mat-accordion>



                <!--<cdk-accordion class="example-accordion">
                    <cdk-accordion-item *ngFor="let item of items; let index = index;" #accordionItem="cdkAccordionItem" class="example-accordion-item" role="button" tabindex="0" [attr.id]="'accordion-header-' + index" [attr.aria-expanded]="accordionItem.expanded" [attr.aria-controls]="'accordion-body-' + index">
                        <div class="example-accordion-item-header" (click)="accordionItem.toggle()">
                            {{ item }}
                            <span class="example-accordion-item-description">
                          Click to {{ accordionItem.expanded ? 'close' : 'open' }}
                        </span>
                        </div>
                        <div class="example-accordion-item-body" role="region" [style.display]="accordionItem.expanded ? '' : 'none'" [attr.id]="'accordion-body-' + index" [attr.aria-labelledby]="'accordion-header-' + index">
                            Lorem ipsum dolor, sit amet consectetur adipisicing elit. Perferendis excepturi incidunt ipsum deleniti labore, tempore non nam doloribus blanditiis veritatis illo autem iure aliquid ullam rem tenetur deserunt velit culpa?
                        </div>
                    </cdk-accordion-item>

                    <cdk-accordion-item #accordionItem="cdkAccordionItem" class="example-accordion-item" role="button" tabindex="0" [attr.id]="'accordion-header-1'" [attr.aria-expanded]="accordionItem.expanded" [attr.aria-controls]="'accordion-body-1'">
                        <div class="example-accordion-item-header" (click)="accordionItem.toggle()">
                            REESTRUCTURACIONES
                            <span class="example-accordion-item-description">
                          Click para {{ accordionItem.expanded ? 'cerrar' : 'abrir' }}
                        </span>
                        </div>
                        <div class="example-accordion-item-body" role="region" [style.display]="accordionItem.expanded ? '' : 'none'" [attr.id]="'accordion-body-1'" [attr.aria-labelledby]="'accordion-header-1'">



                        </div>
                    </cdk-accordion-item>


                    <cdk-accordion-item #accordionItem="cdkAccordionItem" class="example-accordion-item" role="button" tabindex="0" [attr.id]="'accordion-header-2'" [attr.aria-expanded]="accordionItem.expanded" [attr.aria-controls]="'accordion-body-2'">
                        <div class="example-accordion-item-header" (click)="accordionItem.toggle()">
                            BUSCADOR
                            <span class="example-accordion-item-description">
                          Click para {{ accordionItem.expanded ? 'cerrar' : 'abrir' }}
                        </span>
                        </div>
                        <div class="example-accordion-item-body" role="region" [style.display]="accordionItem.expanded ? '' : 'none'" [attr.id]="'accordion-body-2'" [attr.aria-labelledby]="'accordion-header-2'">

                        </div>
                    </cdk-accordion-item>
                </cdk-accordion>-->

            </div>

        </mat-drawer>


        <!--<div id="map" name="map" style="height: 100vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>-->
        <div id="map" name="map" style="height: 100vh" leaflet (leafletMapReady)="onMapReady($event)" [leafletOptions]="options"></div>
    </mat-drawer-container>
    <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>
    <!--<button (click)="drawer_capas.toggle()" id="sidebar_capa" class="d-none">-->



</form>


<div class="modal" tabindex="-1" role="dialog" [ngStyle]="{'display':displayStyle}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Cargar Capa Esri Shp (formato zip)</h4>
            </div>
            <div class="modal-body">
                <div class="rounded border border-2 w-100 p-4 mt-4">
                    <div class="row mt-4 justify-content-center">
                        <div class="row">
                            <div class="col-8">
                                <label class="btn btn-default p-0">
                                <input type="file" (change)="selectFile($event)" />
                              </label>
                            </div>

                            <div class="col-4">
                                <button class="btn btn-success btn-sm" [disabled]="!selectedFiles" (click)="upload()">
                                Cargar
                              </button>
                            </div>
                        </div>

                        <div *ngIf="currentFile" class="progress my-3">
                            <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar" attr.aria-valuenow="{{ progress }}" aria-valuemin="0" aria-valuemax="100" [ngStyle]="{ width: progress + '%' }">
                                {{ progress }}%
                            </div>
                        </div>

                        <div *ngIf="message" class="alert alert-secondary" role="alert">{{ message }}</div>

                        <div class="card mt-3">
                            <div class="card-header">Lista de Archivo</div>
                            <ul class="list-group list-group-flush" *ngFor="let file of fileInfos | async">
                                <li class="list-group-item">
                                    <a href="{{ file.url }}">{{ file.name }}</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" (click)="closePopup()">
          Cerrar
        </button>
            </div>
        </div>
    </div>
</div>